import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class DeadHit here.
 * 
 * @author Anthony Hoang
 * @version v1
 */
public class SmudgeParticle extends Particle
{
    private static GreenfootImage[] images;
    private int imageNo = 0;
    public SmudgeParticle(int r)
    {
        super(r);
        if (images == null)
        initialiseImages();
        setImage(images[0]);
    }
    public void initialiseImages()
    {
        images = new GreenfootImage[25];
        for (int i = 0; i < 25; i++)
        {
            images[i] = new GreenfootImage("greenStuff.png");
            images[i].scale(images[i].getWidth()-i,images[i].getHeight()-i);
        }
    }
    public void act() 
    {
        if (getMWorld().esPause) return;
        super.act();
        if (imageNo == 24)
        {
            imageNo = 0;
            getMWorld().removeObject(this);
        }
        else
        {
            setImage(images[imageNo]);
            imageNo++;
        }
    }    
}
